summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-11-04 20:04:54 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-11-15 06:35:43 +0000
commit9eb0f645e3ff4d9b58944ccbb5c6381dee200248 (patch)
tree5acdab9fb1c31d4a5106836c5923514954f91d63
parentRenaming standard package list to base-system. (diff)
downloadsystem-images-9eb0f645e3ff4d9b58944ccbb5c6381dee200248.tar.xz
system-images-9eb0f645e3ff4d9b58944ccbb5c6381dee200248.zip
Adding knot-resolver to base-system configuration.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xshare/images/base-system/config/hooks/normal/0002-knot-resolver.chroot11
-rw-r--r--share/images/base-system/config/package-lists/base-system.list.chroot1
-rwxr-xr-xshare/images/container-server/config/hooks/normal/0002-knot-resolver.chroot11
-rw-r--r--share/images/container-server/config/package-lists/base-system.list.chroot1
-rwxr-xr-xshare/images/gnome-desktop/config/hooks/0002-knot-resolver.chroot11
-rw-r--r--share/images/gnome-desktop/config/package-lists/base-system.list.chroot1
6 files changed, 36 insertions, 0 deletions
diff --git a/share/images/base-system/config/hooks/normal/0002-knot-resolver.chroot b/share/images/base-system/config/hooks/normal/0002-knot-resolver.chroot
new file mode 100755
index 0000000..7038e74
--- /dev/null
+++ b/share/images/base-system/config/hooks/normal/0002-knot-resolver.chroot
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/resolv.conf << EOF
+nameserver 127.0.0.1
+nameserver 8.8.8.8
+nameserver 8.8.4.4
+
+options timeout:1 attempts:1
+EOF
diff --git a/share/images/base-system/config/package-lists/base-system.list.chroot b/share/images/base-system/config/package-lists/base-system.list.chroot
index 0594213..179aee8 100644
--- a/share/images/base-system/config/package-lists/base-system.list.chroot
+++ b/share/images/base-system/config/package-lists/base-system.list.chroot
@@ -1 +1,2 @@
task-ssh-server
+knot-resolver
diff --git a/share/images/container-server/config/hooks/normal/0002-knot-resolver.chroot b/share/images/container-server/config/hooks/normal/0002-knot-resolver.chroot
new file mode 100755
index 0000000..7038e74
--- /dev/null
+++ b/share/images/container-server/config/hooks/normal/0002-knot-resolver.chroot
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/resolv.conf << EOF
+nameserver 127.0.0.1
+nameserver 8.8.8.8
+nameserver 8.8.4.4
+
+options timeout:1 attempts:1
+EOF
diff --git a/share/images/container-server/config/package-lists/base-system.list.chroot b/share/images/container-server/config/package-lists/base-system.list.chroot
index 0594213..179aee8 100644
--- a/share/images/container-server/config/package-lists/base-system.list.chroot
+++ b/share/images/container-server/config/package-lists/base-system.list.chroot
@@ -1 +1,2 @@
task-ssh-server
+knot-resolver
diff --git a/share/images/gnome-desktop/config/hooks/0002-knot-resolver.chroot b/share/images/gnome-desktop/config/hooks/0002-knot-resolver.chroot
new file mode 100755
index 0000000..7038e74
--- /dev/null
+++ b/share/images/gnome-desktop/config/hooks/0002-knot-resolver.chroot
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+cat > /etc/resolv.conf << EOF
+nameserver 127.0.0.1
+nameserver 8.8.8.8
+nameserver 8.8.4.4
+
+options timeout:1 attempts:1
+EOF
diff --git a/share/images/gnome-desktop/config/package-lists/base-system.list.chroot b/share/images/gnome-desktop/config/package-lists/base-system.list.chroot
index 0594213..179aee8 100644
--- a/share/images/gnome-desktop/config/package-lists/base-system.list.chroot
+++ b/share/images/gnome-desktop/config/package-lists/base-system.list.chroot
@@ -1 +1,2 @@
task-ssh-server
+knot-resolver